#!/usr/bin/env  perl

$p4 = "p4 -Ztag -u arthur";

# Task: determine which client specs have the
# option 'nocompress'set.

#
# status: tested on Win/NT using perl 5.6
# num of calls to 'p4': 1
# room for optimization/improvement: add getopts call
#
# Copyright 2004 Perforce Corporation, Inc. All rights reserved.


require "ztag.pl";


#-----------------------------------------------------------
# only call to P4: 'p4 clients'
#-----------------------------------------------------------
$client_tagged_cmd = "$p4 clients";
@ret = readinZtag($client_tagged_cmd);

# Now, look through each client for the 'options' field,
# and see what it's set to.

foreach $c (@ret) {
    $options = $c->{'Options'};
    $clientName = $c->{'client'};
    if ($options =~ /nocompress/) {
        print "$clientName: *no* compression of data\n";
    } else {
        print "$clientName: compression of data (default)\n";
    }
}
